package com.yihu.jw.entity.base.patient;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Trick on 2018/8/31.
 */
@Entity
@Table(name = "base_patient_family_member")
public class BasePatientFamilyMemberDO extends UuidIdentityEntityWithOperator {

    private String patient;//居民code',
    private String familyMember;//家庭成员code',
    private Integer familyRelation;//家庭关系关系 1配偶 2父亲 3母亲 4公公 5婆婆 6岳父 7岳母 8子女',
    private Integer isAuthorize;//是否授权0:未授权,1:已授权，默认为1',
    private Integer isContacts;//是否是一键联系人 1是
    private Integer del;//删除标志（1正常，0删除）

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "family_member")
    public String getFamilyMember() {
        return familyMember;
    }

    public void setFamilyMember(String familyMember) {
        this.familyMember = familyMember;
    }

    @Column(name = "family_relation")
    public Integer getFamilyRelation() {
        return familyRelation;
    }

    public void setFamilyRelation(Integer familyRelation) {
        this.familyRelation = familyRelation;
    }

    @Column(name = "is_authorize")
    public Integer getIsAuthorize() {
        return isAuthorize;
    }

    public void setIsAuthorize(Integer isAuthorize) {
        this.isAuthorize = isAuthorize;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "is_contacts")
    public Integer getIsContacts() {
        return isContacts;
    }

    public void setIsContacts(Integer isContacts) {
        this.isContacts = isContacts;
    }
}
